QGIS Application - Bug report #454
fill pattern rendered extremely thick
2006-12-13 12:03 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 10513
Description

Lines and points in the fill pattern are rendered extremely thick compared to the Map View. See the atached screen dumps and their
respective pdf output.

Maciek

History

#1 - 2006-12-15 12:26 PM - Redmine Admin

To fix this we must enable pattern scaling. That should be possible using QBrush::setMatrix which was introduced in Qt 4.2 but it requires changes in
[[QgsVectorLayer]] and all renderers classes including changes of methods' prototypes of course composer map GUI. That cannot be done a week before
code freeze IMO.

BTW it seems that Qit prints patterns as rasters so it is rather useless.

We could use a hack and set the matrix on QPainter and read the value in renderers but it will be better to do it well in 0.9.

Radim

#2 - 2006-12-17 10:48 AM - Redmine Admin

It worked OK in 0.74. I'm attaching two epss created in 0.74 with 100 and 200 dpi respectively. As you can see by changing dpi setting it was possible to
control the pattern scale; in default 300 dpi the pattern in the eps output matched the Map View quite OK in 0.74. It's got broken in 0.8.

If pattern scaling is really not possible in 0.8 at the moment, at least please do something so that the pattern isn't so extremly thick as currently; make it
match the Map View somewhat.

Maciek

#3 - 2006-12-17 11:12 AM - Redmine Admin

Might be related to #4447

#4 - 2006-12-28 10:25 PM - Gary Sherman

This sounds like a problem introduced by the move from Qt 3.x to 4.2. We may have to push this back to 0.8.1 for reconsideration.
#5 - 2006-12-28 11:28 PM - Redmine Admin

Furthermore, in case of shapefiles with holes, only the hole is filled in the print (everything is filled on the screen - none of them is the desired outcome). See

attached files.

#6 - 2007-01-03 03:59 AM - mapping-gp_at_gmail-com -

| have a user work-around for this and to ticket #4447 (as mentioned above which | also think is related). Although its only a user work-around it may be

instructive from a programming perspective.

User fix: In composer make the page size large. | chose ISO A0 but depending on your circumstances you could use an even larger custom size. This then
allowed me to use 'Line Width', 'Symbol', & 'Font size' scales of 1 or above. It seems that if the scaling factor is less 1 --chunky graphics result. This can
also be seen to be the case for ticket #444 were the symbol scale factor is set to 0.5. Font scaling factors of much less than 1 cause the font to be

unreadable.

This also fixes the same problem with legends and scale bars.

To print to a smaller page size you must produce a PNG file using above method and insert in [[OpenOffice]] document or some other similar app.

The dpi setting doesn't help in the above fix. [but does seem to have some odd qwerks. For instance , | set it to dpi=200 this works fine and produces a file
of about 1.1MB. | then change it to dpi=210 and | get a warning from Composer which tells me "To create image 6953 x 9830 requires circa 205 MB of

memory" -- This seems a bit excessive for such a small dpi change. If | click 'OK' to do it anyway it produces a file of about 1.1MB.]

BTW - I'm using:

Ubuntu Edgy on Pentium4

Version 0.8.0 (6200M) "Titan preview?2"

Compiled against Qt4.2.0, running against same.

Compiled against GDAL/OGR 1.3.2.0, running against same.

Ubuntu Edgy QGIS set from: Les-ejk [[UbuntuGIS]] repository by Jachym Cepicky at http:/les-ejk.cz/ubuntu (Thanks Jachym - works well - nice job).

Gary.

#7 - 2007-01-17 12:48 AM - Gavin Macaulay -

Another symptom is in ticket #526

#8 - 2007-02-25 07:22 PM - Tim Sutton

Moved to milestone 0.8.2 since we wont be fixing any further issues before the 0.8.1 release

#9 - 2008-01-30 03:33 AM - Maciej Sieczka -

Still present in SVN commit:4c3169ff (SVN r8096), built and running against QT 4.3.3.

#10 - 2008-08-02 01:25 AM - Tim Sutton
http://les-ejk.cz/ubuntu

Can you test this once the new print composer code from Marco Hugentobler is merged in and then verify if the issue still exists? I'm going to assign this

ticket to Marco so he can keep it in mind while testing his branch.

Regards

Tim

#11 - 2008-08-11 09:30 AM - Maciej Sieczka -

I'l keep an eye on that. Cheers.

#12 - 2008-09-05 01:01 AM - Maciej Sieczka -

The bug is still present in the new map composer (SVN trunk commit:0a6dbb71 (SVN r9259), QT 4.4.0, Debian testing amd64).

See the attached attached screendumps and the output PDF:

display-OK.png - a polygon in QGIS filled with Dense7 pattern

composer-OK.png - looks OK in print composer...

pdf-BAD.png - ...but in the output PDF the pattern is very oversized

pattern_too_big.pdf - the pdf output itself

This bug virtually disables pattern usage in print composer.

#13 - 2008-09-07 08:21 AM - Marco Hugentobler

This is adressed in r. Unfortunately, it does only work for ps, not for pdf output. This is probably a Qt bug.

#14 - 2008-09-07 09:28 AM - Maciej Sieczka -

Replying to [comment:16 mhugent]:

This is adressed in r.

(That's commit:911038bb (SVN r9282).)

Unfortunately, it does only work for ps, not for pdf output. This is probably a Qt bug.

On my machine it doesn' work for either now. See attachments.

In PDF - no change, the pattern is too thick as it was.

In PS - no pattern at all.

On display and in the map composer looks OK.
Debian testing amdé4, QT 4.4.0. What is yours?

#15 - 2009-06-13 02:14 AM - Paolo Cavallini

| confirm, it happens with pdf (ps possibly ok). libgt4-core 4.5.1 on Debian testing

#16 - 2009-07-04 03:00 PM - Giovanni Manghi

By the way,

quick print seems to give much better results (qgis 1.2 rev. 11023) than normal print does (see attached files). Is the solution near?

#17 - 2010-01-16 05:02 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

In commit:697ef558 (SVN r12778), there is a SVG fill renderer in the new symbology that is supposed to scale properly to the print resolution. I'm therefore

closing this ticket.

#18 - 2012-07-09 09:32 PM - John Tull

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No
- Crashes QGIS or corrupts data set to No

Did this crop back up again in the 2.0 trunk? | have scaling issues again with output to pdf as non-raster.

Files

points.png 21.2KB 2006-12-13 Redmine Admin
points.pdf 123 KB 2006-12-13 Redmine Admin
lines.png 21.9KB 2006-12-13 Redmine Admin
lines.pdf 123 KB 2006-12-13 Redmine Admin
pattern_074.tar.bz2 92.9 KB 2006-12-17 Redmine Admin
__stdin__.pdf 100 KB 2006-12-28 Redmine Admin
screen.jpeg 210 KB 2006-12-28 Redmine Admin
display-OK.png 20.8 KB 2008-09-04 Maciej Sieczka -
display-OK.2.png 20.8 KB 2008-09-04 Maciej Sieczka -
composer-OK.png 13.1 KB 2008-09-04 Maciej Sieczka -
pdf-BAD.png 9.76 KB 2008-09-04 Maciej Sieczka -
pattern_too_big.pdf 274 KB 2008-09-04 Maciej Sieczka -
print.pdf 35.2KB 2008-09-07 Maciej Sieczka -
print.ps 76.6 KB 2008-09-07 Maciej Sieczka -
print_test.tar.gz 218 KB 2009-07-04 Giovanni Manghi
